Subject: Re: bug#39764: [PATCH] IBM Z DFLTCC: add STREQ definition
From: Jim Meyering <[email-masked]>
To: Ilya Leoshkevich <[email-masked]>
Cc: Jim Meyering <[email-masked]>, [email-masked]
Date: Fri, 29 May 2020 08:51:11 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, May 29, 2020 at 3:23 AM Ilya Leoshkevich <[email-masked]> wrote:
>
> On Mon, 2020-02-24 at 10:36 +0100, Ilya Leoshkevich wrote:
> > Commit 81c9fe4d0986 replaced !strcmp with STREQ in order to be
> > compliant
> > with the gnulib linter, however, gnulib does not provide STREQ!
> >
> > Quite a few gnulib .c files contain private definitions of STREQ.
> > This
> > patch just goes with the flow and does the same in dfltcc.c.
> > ---
> >  dfltcc.c | 2 ++
> >  1 file changed, 2 insertions(+)
> >
> > diff --git a/dfltcc.c b/dfltcc.c
> > index 1d6d74c..432c68c 100644
> > --- a/dfltcc.c
> > +++ b/dfltcc.c
> > @@ -72,6 +72,8 @@ typedef enum
> >
> >  #define MAX(a, b) ((a) > (b) ? (a) : (b))
> >
> > +#define STREQ(a, b) (strcmp (a, b) == 0)
> > +
> >  struct dfltcc_qaf_param
> >  {
> >    char fns[16];
>
> Gentle ping.

Thank you. Strangely, it seems I never received your original email.
I got a copy from https://bugs.gnu.org/39764 and pushed it.
I note that there *is* an identical definition of strequ in gzip.c,
but I prefer the STREQ spelling and don't want to change gzip.c to
address this problem.